tls.h File Reference
`#include <log4cplus/config.hxx>`
`#include <new>`
`#include <cassert>`
`#include <system_error>`
Include dependency graph for tls.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | log4cplus
namespace | log4cplus::thread
namespace | log4cplus::thread::impl

## Typedefs

typedef void * | log4cplus::thread::impl::tls_value_type

## Functions

tls_key_type | log4cplus::thread::impl::tls_init (tls_init_cleanup_func_type)
tls_value_type | log4cplus::thread::impl::tls_get_value (tls_key_type)
void | log4cplus::thread::impl::tls_set_value (tls_key_type, tls_value_type)
void | log4cplus::thread::impl::tls_cleanup (tls_key_type)